
from tango import *
gp=Group('sip')
gp.add('l04/vacuum/sip*')

sips = gp.get_device_list()
for sipname in sips:
    print(sipname)
    attname=sipname+'/Pressure'
    sip=AttributeProxy(attname)
    cfx=sip.get_config()
    cfx.events.arch_event.archive_rel_change='20'
    cfx.events.arch_event.archive_period='3600000'
    sip.set_config(cfx)
    sip.poll(5000)
    attname=sipname+'/State'
    sipst=AttributeProxy(attname)
    cfx=sipst.get_config()
    cfx.events.arch_event.archive_period='3600000'
    sipst.poll(5000)
    print(sipname, " OK")
